package com.zcloud.personnel.positioning.api;

import com.zcloud.personnel.positioning.dto.AreaAddCmd;
import com.zcloud.personnel.positioning.dto.AreaPageQry;
import com.zcloud.personnel.positioning.dto.AreaUpdateCmd;
import com.zcloud.personnel.positioning.dto.clientobject.AreaCO;
import com.zcloud.personnel.positioning.dto.clientobject.AreaPersonStatCO;
import com.zcloud.personnel.positioning.dto.clientobject.OptionCO;
import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

import java.util.List;

/**
 * web-client
 *
 * @Author fangjiakai
 * @Date 2026-07-07
 */
public interface AreaServiceI {
    PageResponse<AreaCO> listPage(AreaPageQry qry);

    List<AreaCO> listAll();

    List<OptionCO> listOptions(String corpinfoId, String keyword);

    List<AreaPersonStatCO> listPersonStat(Long corpinfoId);

    AreaCO queryById(Long id);

    SingleResponse<AreaCO> add(AreaAddCmd cmd);

    void edit(AreaUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(Long[] ids);
}
